%define name emacs-tramp
%define version 20000606
%define release 3mdk

Summary: emacs  Transparent Remote (file) Access, Multiple Protocol
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ls6-ftp.cs.uni-dortmund.de/pub/src/emacs/tramp.tar.bz2
Patch0: emacs-tramp-method-scp-by-default.patch.bz2
Copyright: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Prefix: %{_prefix}

%description 
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local and
the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%prep
%setup -n tramp -q
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
p=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install -d $p

# I put format-spec and base64 by default also these are normal extensions
install -m 644 lisp/{tramp,tramp-vc,format-spec,base64}.elc $p

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(require 'tramp)
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc texi/tramp.html
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%changelog
* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 20000606-3mdk
- add %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 20000606-2mdk
- use %{_sysconfdir}/emacs/site-start.d

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 20000606-1mdk
- first version

# end of file
